var vidIsRunning = false;
var videoIsVisible = false;
var wmpvwVideo = "Video";
var g_fExpectingSizeChange = false;
var g_fUserHasSized = false;
var eq_isOpen = true;
var eq1_isOpen = true;
var playlist_isOpen1 = true;
var playlist2_isOpen1 = true;
var	playlist3_isOpen1 = false;
var vis_isOpen = true;

function Init(){
	UpdateMetaData();
	vidIsRunning = (player.currentMedia.ImageSourceWidth>0);
	if (vidIsRunning){
		videoIsVisible = false;
		StartVideo();
	} else {
		EndVideo();
	}
	
	OnPlayStateChange();
}

function OnPlayStateChange(){
	if (player.PlayState == psUndefined || player.PlayState == psPlaying){
		Play();
	}
}
function OnOpenStateChange(){
	switch (player.OpenState){
		case osUndefined:
			UpdateMetadata();
		break;
			Play();
		case osMediaOpen:
			UpdateMetadata();
			Play();
		break;
	}
}

function Play(){
	if (player.currentMedia.ImageSourceWidth>0){
		StartVideo();
	}
	UpdateMetadata();
	player.controls.play();
}

function Stop(){
	player.controls.stop();
}

function StartVideo(){
	videoIsVisible = false;
	theme.openView('vidWindow');
	vidIsRunning = true;
}

function EndVideo(){
	vidIsRunning = false;
	view.close();
	player.controls.stop();
}

function UpdateMetadata(){
	metadata.value = " ";
	artistname = player.currentmedia.getiteminfo("author");
	if (artistname == "") { artistname = player.currentmedia.getiteminfo("author"); }
	if (artistname != "") { artistname += " - "; }
	metadata.value += artistname;
	metadata.value += player.currentmedia.name;
	metadata.value += " ";
	metadata.scrolling = (metadata.textWidth>metadata.width);}
	
function updateVolToolTip(){
	eval("volume.toolTip = " + player.settings.volume + "" );
}
function move1Eqdrawer(){
	if (eq1_isOpen) {
		EQdrawer.visible = true;
		EQdrawer.moveTo(0,155,500);
		PlWindow.moveTo(0,24,500);
        openEq1.upToolTip = "Close Equalizer Window";
		openEq.upToolTip = "Toggle Equalizer Window";
        eq1_isOpen = false;
		eq_isOpen = true;
		} 
	else {
		EQdrawer.moveTo(0,56,500);
		openEq.upToolTip = "Toggle Equalizer Window";
		openEq1.upToolTip = "Open Equalizer Window";
		eq1_isOpen = true;
		eq_isOpen = false;
		}}
function moveEqdrawer(){
	if (eq_isOpen) {
		playlist.visible = false;
		EQdrawer.visible = true;
		EQdrawer.moveTo(0,56,500);
		PlWindow.moveTo(0,24,500);
		plshadow.moveTo(0,24,500);
		visWindow.moveTo(0,24,500);
        openEq.upToolTip = "Toggle Equalizer Window";
		openEq1.upToolTip = "Open Equalizer Window";
        eq_isOpen = false;
		eq1_isOpen = true;
		playlist_isOpen1 = true;
		playlist3_isOpen1 = false;
		vis_isOpen = true;
	} 
	else {
		EQdrawer.moveTo(0,24,500);
		openEq.upToolTip = "Toggle Equalizer Window";
		openEq1.upToolTip = "Toggle Equalizer Window";
		eq_isOpen = true;
		eq1_isOpen = false;
      }}
function moveEqdrawer1(){
	if (playlist_isOpen1) {
		PlWindow.visible = true;
		PlWindow.moveTo(0,56,500);
		plshadow.moveTo(0,24,500);
		EQdrawer.moveTo(0,24,500);
		visWindow.moveTo(0,24,500);
		openPl.upToolTip = "Open Playlist Window";
        playlist_isOpen1 = false;
		playlist2_isOpen1 = true;
		playlist3_isOpen1 = false;
		eq1_isOpen = true;
		eq_isOpen = true;
		playlist.visible = false;
		vis_isOpen = true;
	} 
	else {
		PlWindow.moveTo(0,24,500);
		plshadow.moveTo(0,24,500);
		playlist_isOpen1 = true;
		playlist2_isOpen1 = false;
		eq1_isOpen = false;
		playlist.visible = false;
		playlist2_isOpen1 = false;
		playlist3_isOpen1 = false;
		playlist.visible = false;
      }}
function move1Pldrawer(){
	if (playlist2_isOpen1) {
		PlWindow.moveTo(0,155,500);
		plshadow.moveTo(0,155,500);
		openPl.upToolTip = "Close Playlist Window";
        playlist_isOpen1 = true;
        playlist2_isOpen1 = false;
		playlist3_isOpen1 = true;
		vis_isOpen = true;
		} 
	else {
		PlWindow.moveTo(0,56,500);
		plshadow.moveTo(0,24,500);
		openPl.upToolTip = "Open Playlist Window";
        playlist_isOpen1 = false;
		playlist2_isOpen1 = true;
		playlist3_isOpen1 = false;
		playlist.visible = false;
		}}
function moveVisual(){
	if (vis_isOpen) {
		visWindow.visible = true;
		visWindow.moveTo(0,155,500);
		EQdrawer.moveTo(0,24,500);
		PlWindow.moveTo(0,24,500);
		plshadow.moveTo(0,24,500);
        playlist_isOpen1 = true;
		playlist2_isOpen1 = true;
		playlist3_isOpen1 = false;
		eq1_isOpen = true;
		eq_isOpen = true;
		playlist.visible = false;
		vis_isOpen = false;
		} 
	else {
		visWindow.moveTo(0,24,500);
		vis_isOpen = true;
		}}
function showPlaylist(){
	if(playlist3_isOpen1){
		playlist.visible = true;
	} else {
		playlist.visible = false;}}
//video functions
function OnLoadVideo(){
	vidIsRunningC = (player.currentMedia.ImageSourceWidth>0);
	if(vidIsRunningC){
		SnapToVideo();
	}
}

function AllowResizeVideo(){
	mediacenter.videoStretchToFit=true;
	mediacenter.videoShrinkToFit=true; 
	return;
}

function ZoomVideo(){
	g_fUserHasSized = true;

	mediacenter.videoStretchToFit = false;
	mediacenter.videoShrinkToFit = false;

	if( mediacenter.videoZoom < 51 ){
		mediacenter.videoZoom = 100;
	}
	else if( mediacenter.videoZoom < 101 ){
		mediacenter.videoZoom = 200;
	}
	else{
		mediacenter.videoZoom = 50;
	}
	
	SnapToVideo();
}

function SnapToVideo(){
	if((!g_fUserHasSized && mediacenter.videoStretchToFit) || !mediacenter.videoStretchToFit){
		var zoom = mediacenter.videoStretchToFit ? 100 : mediacenter.videoZoom;
		var x = (player.currentMedia.imageSourceWidth * (zoom / 100.0));
		var y = (player.currentMedia.imageSourceHeight * (zoom / 100.0));
		g_fExpectingSizeChange = true;
		view.width = x + 9;
		view.height = y + 40;
		g_fExpectingSizeChange = false;
	}
	else{
		view.height= player.currentMedia.imageSourceHeight + 9;
		view.width= player.currentMedia.imageSourceWidth + 40;
	}

}

function OnCloseVideo(){
	view.close();
}

function ZoomVideoUp(){
	g_fUserHasSized = true;
	mediacenter.videoStretchToFit = false;
	mediacenter.videoShrinkToFit = false;
	if( mediacenter.videoZoom < 51 ){
		mediacenter.videoZoom = 100;
	}
	else if( mediacenter.videoZoom < 101 ){
		mediacenter.videoZoom = 200;
	}
		
	SnapToVideo();
}

function ZoomVideoDown(){
	if( mediacenter.videoZoom > 199 ){
		mediacenter.videoZoom = 100;
	} else if( mediacenter.videoZoom > 99 ){
		mediacenter.videoZoom = 50;
		}
	
	SnapToVideo();
}